Skip to main content
GET
/
TournamentTeamPlayerList
Tournament Team Player List
curl --request GET \
  --url 'https://api.example.com/TournamentTeamPlayerList?key='
{
  "result": "string",
  "message": "string",
  "data": {
    "_type": "TOURNAMENT",
    "id": "integer",
    "tournament": "string",
    "season": "string",
    "startDate": "YYYY-MM-DD",
    "endDate": "YYYY-MM-DD",

    "teams": [
      {
        "_type": "TEAM",
        "id": "integer",
        "team": "string",

        "players": [
          {
            "_type": "PLAYER",
            "id": "integer",
            "name": "string",
            "nickname": "string",
            "dob": "YYYY-MM-DD",
            "number": "integer",

            "position": {
              "primay": {
                "_type": "POSITION",
                "id": "integer",
                "name": "string"
              },
              "secondary": {
                "_type": "POSITION",
                "id": "integer",
                "name": "string"
              }
            },

            "nationality": {
              "_type": "NATIONALITY",
              "id": "integer",
              "name": "string"
            }
          }
        ]
      }
    ]
  }
}

Overview

This endpoint returns all teams participating in a tournament together with their squad list.

Typical use cases

  • Retrieve all tournament squads
  • Build squad views for teams
  • Load players available for match lineups
  • Generate scouting or analysis datasets
Each team contains a list of players, including their:
  • full name
  • nickname
  • jersey number
  • date of birth
  • primary and secondary positions
  • nationality
GET /api.php

Parameters

module
string
Always use api
api
string
The API name, use TournamentTeamPlayerList
version
string
The API version (use V2)
lang
string
en for English, ar for Arabic
response
string
Output format (json or xml)
key
string
Your API key
tournament_id
string
The tournament ID (example: 211)

Example Request

curl --request GET \
  --url "{{Base URL}}?module=api&api=TournamentTeamPlayerList&version=V2&lang=en&response=json&key=YOUR_API_KEY&tournament_id=211"

Response

{
  "result": "string",
  "message": "string",
  "data": {
    "_type": "TOURNAMENT",
    "id": "integer",
    "tournament": "string",
    "season": "string",
    "startDate": "YYYY-MM-DD",
    "endDate": "YYYY-MM-DD",

    "teams": [
      {
        "_type": "TEAM",
        "id": "integer",
        "team": "string",

        "players": [
          {
            "_type": "PLAYER",
            "id": "integer",
            "name": "string",
            "nickname": "string",
            "dob": "YYYY-MM-DD",
            "number": "integer",

            "position": {
              "primay": {
                "_type": "POSITION",
                "id": "integer",
                "name": "string"
              },
              "secondary": {
                "_type": "POSITION",
                "id": "integer",
                "name": "string"
              }
            },

            "nationality": {
              "_type": "NATIONALITY",
              "id": "integer",
              "name": "string"
            }
          }
        ]
      }
    ]
  }
}

Note

There is a type in primary position it is written “primay” instead of “primary” this will be fixed in future.

Authorizations

key
string
query
required

API key passed as a query parameter named key.

Query Parameters

module
string
default:api

Module selector. Usually 'api'.

version
string
default:V2

The API version

response
string
default:json

The response returned by the API. The value of this field could be "json" or "xml"

lang
string
default:en

The language is english by default, pass "ar" to return the values in Arabic language.

tournament_id
integer
required

The tournament ID can be retrieve from the TournamentList API.

Response

Successful response

The response is of type object.